using System;
using MySql.Data.MySqlClient;       //連線MySql的方法
using System.Windows.Forms;         //錯誤視窗的方法


namespace ETC_App1
{
    class Authentication
    {
        internal static bool Authentication_1(string ID_in, string password_in)     //使用者輸入的帳號密碼
        {
            MySqlConnection conn = new MySqlConnection("server=192.168.6.59;user=root;database=eye;port=3306;password=Ecom84253675;");//連線位置;使用者;資料庫;阜號;密碼;
            conn.Open();                                                //連線資料庫         
            string sql_ID = String.Format("SELECT password FROM account WHERE username = \"{0}\"", ID_in);//輸入ID得到對應密碼  
            MySqlCommand cmd_ID = new MySqlCommand(sql_ID, conn);       //下達SQL語法和資料庫連線
            String password = (String)cmd_ID.ExecuteScalar();           //取得結果回傳到password
            if (password_in == password)                                //拿得到的密碼去比對他輸入的密碼確認是否一致
            {
                return true;
            }
            else                                                        //錯誤就提示帳密錯誤
            {
                MessageBox.Show("帳號或密碼錯誤");                      //錯誤提示框
               
                return false;
            }
        }
    }
}
